// *******************************************************************
// File EbErrorCodes.h
// *******************************************************************
// Copyright @2009 by Stan Sykora (Extra Byte)
#ifndef _EbErrorCodes_h_
#define _EbErrorCodes_h_

// -------------------------------------------------------------------
// Basic error codes
// -------------------------------------------------------------------

enum EbDllError {
  ERR_PrefixMask             = 0x0fff0000,
  ERR_NumberMask             = 0x0000ffff,

  ERR_Handled                = 0x80000000,
  ERR_Fatal                  = 0x40000000,
  ERR_Critical               = 0x20000000,

  EbERR_None                 = 0x0000,

  EbERR_InternalError        = 0x0001|ERR_Fatal,
  EbERR_Allocation           = 0x0002|ERR_Fatal,
  EbERR_CantLoad             = 0x0003|ERR_Fatal,
  EbERR_CantInit             = 0x0004|ERR_Fatal,
  EbERR_NoDll                = 0x0005|ERR_Fatal,
  EbERR_NotInitialized       = 0x0006,
  EbERR_UnknownCommand       = 0x0007,
  EbERR_NotImplemented       = 0x0008,
  EbERR_IllegalMode          = 0x0009,
  EbERR_IllegalContext       = 0x000A,
  EbERR_MissingData          = 0x000B,
  EbERR_MissingBuffer        = 0x000C,
  EbERR_MissingParameters    = 0x000D,
  EbERR_IllegalParameters    = 0x000E,
  EbERR_SolutionNotFound     = 0x000F,
  EbERR_NoSolution           = 0x0010,
  EbERR_MultipleSolutions    = 0x0011,
  EbERR_Overflow             = 0x0012,
  EbERR_Underflow            = 0x0013,
  EbERR_DivisionByZero       = 0x0014,
  EbERR_WrongDataType        = 0x0015,
  EbERR_WrongDataSize        = 0x0016,
  EbERR_SizeMismatch         = 0x0017,
  EbERR_IllegalData          = 0x0018,
  EbERR_IllegalFormat        = 0x0019,
  EbERR_WrongInputFormat     = 0x001A,
  EbERR_WrongOutputFormat    = 0x001B,
  EbERR_MissingModule        = 0x001C,
  EbERR_MissingFunction      = 0x001D,
  EbERR_IllegalArgument      = 0x001E,
  EbERR_TooManyIterations    = 0x001F,
  EbERR_TimeLimit            = 0x0020,
  EbERR_NoConvergence        = 0x0021,

  EbERR_FileError            = 0x0022,

  EbERR_LAST                 = 0x0022  // Reserved up to 0x000000FF

  // Specialized EbDllAppl errors start at 0x00000100

};

// -------------------------------------------------------------------
#endif //_EbErrorCodes_h_


