// *******************************************************************
// File EbTime.h                             Time management functions
// *******************************************************************
// Copyright @2014 by Stan Sykora and Extra Byte.
#ifndef _EbTime_h_
#define _EbTime_h_

#include "EbReal.h"
#include <math.h>


// ===================================================================
// Typedefs
// ===================================================================

// EbFILETIME structure (compatible with Windows)
//--------------------------------------------------------------------

typedef struct _EbFILETIME {
  DWORD  dwLowDateTime;
  DWORD  dwHighDateTime;
} EbFILETIME;

// EbSYSTEMTIME structure (compatible with Windows)
//--------------------------------------------------------------------
typedef struct _EbSYSTEMTIME {
  WORD wYear;
  WORD wMonth;
  WORD wDayOfWeek;
  WORD wDay;
  WORD wHour;
  WORD wMinute;
  WORD wSecond;
  WORD wMilliseconds;
} EbSYSTEMTIME;


// ===================================================================
// Globally accessible constants
// ===================================================================

extern LONG ___IGREG;
extern LONG ___JGREG;

// ===================================================================
// Functions
// ===================================================================

void   FileTimesDif(EbFILETIME* ft1,EbFILETIME* ft2,EbFILETIME* dif);
void   FileTimesSum(EbFILETIME* ft1,EbFILETIME* ft2,EbFILETIME* sum);

REAL   DateToJulianDay(LONG year,LONG month,LONG day,REAL dayfrac=0);
void   JulianDayToDate(REAL julianday,
                LONG &month,LONG &day,LONG &year,REAL &frac);
void   MoonPhases(LONG n,LONG nph,LONG &jd,REAL &frac);

//--------------------------------------------------------------------
#endif



